Merge pull request #2612 from simias/fix/rust-array-param

Rust: allow arrays in function parameters
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: avoid segmentation fault triggered by passing a name of unreadable source file

When opening an input file is failed, File.source.tagPath is not set.
As the result, when accessing File.source.tagPath via getSourceFileTagPath(),
ctags crashes.

This change avoids the issue by not calling getSourceFileTagPath()
when opening the input file falure.

Close #2609.

@CognDiss reported a critical mistake of the original change.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
